Public Member Functions | Protected Attributes | Private Member Functions | List of all members
ZWrtTextInternal::SubDocument Class Referencefinal

Internal: the subdocument of a ZWrtText. More...

Inheritance diagram for ZWrtTextInternal::SubDocument:

## Public Member Functions
| SubDocument (ZWrtText &pars, MWAWInputStreamPtr const &input, int id, MWAWEntry const &entry, ZWrtText::TextCode type)
| ~SubDocument () final
| destructor More...
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!= More...
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function More...
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...

## Protected Attributes
ZWrtText * | m_textParser
| the text parser More...
int | m_id
| the section id More...
ZWrtText::TextCode | m_type
| the type of document More...
MWAWEntry | m_pos
| the file pos More...
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser More...
std::shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Private Member Functions
| SubDocument (SubDocument const &orig)=delete
SubDocument & | operator= (SubDocument const &orig)=delete

## Detailed Description

Internal: the subdocument of a ZWrtText.

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/2]

ZWrtTextInternal::SubDocument::SubDocument | ( | ZWrtText & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | int | id,
|  | MWAWEntry const & | entry,
|  | ZWrtText::TextCode | type
| ) |  |
| inline

## ◆ ~SubDocument()

ZWrtTextInternal::SubDocument::~SubDocument | ( |  | ) |
| inline final

destructor

## ◆ SubDocument() [2/2]

ZWrtTextInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |
| private delete

## Member Function Documentation

## ◆ operator!=()

bool ZWrtTextInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| final virtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ operator=()

SubDocument& ZWrtTextInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |
| private delete

## ◆ parse()

void ZWrtTextInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type
| ) |  |
| final virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_id

int ZWrtTextInternal::SubDocument::m_id
| protected

the section id

## ◆ m_pos

MWAWEntry ZWrtTextInternal::SubDocument::m_pos
| protected

the file pos

## ◆ m_textParser

ZWrtText* ZWrtTextInternal::SubDocument::m_textParser
| protected

the text parser

## ◆ m_type

ZWrtText::TextCode ZWrtTextInternal::SubDocument::m_type
| protected

the type of document

The documentation for this class was generated from the following file:

- ZWrtText.cxx